---
sidebar:
  label: roboto.domain.device_types
  order: 6
title: roboto.domain.device_types
---
Device types: named kinds of device within an organization, such as one robot model.

A device has at most one device type, whose ID is in [`device_type_id`](/docs/reference/python-sdk/roboto/domain/devices#roboto.domain.devices.DeviceRecord.device_type_id).

## Submodules

- [roboto.domain.device_types.device_type](/docs/reference/python-sdk/roboto/domain/device_types/device_type)
- [roboto.domain.device_types.operations](/docs/reference/python-sdk/roboto/domain/device_types/operations)
- [roboto.domain.device_types.record](/docs/reference/python-sdk/roboto/domain/device_types/record)

## Package Contents

- [CreateDeviceTypeRequest](/docs/reference/python-sdk/roboto/domain/device_types/operations#roboto.domain.device_types.operations.CreateDeviceTypeRequest) (class): Request body for `POST /v1/device-types/create`, which creates a device type in the caller's org.

- [DeviceType](/docs/reference/python-sdk/roboto/domain/device_types/device_type#roboto.domain.device_types.device_type.DeviceType) (class): A named kind of device within an organization, such as one robot model.

- [DeviceTypeRecord](/docs/reference/python-sdk/roboto/domain/device_types/record#roboto.domain.device_types.record.DeviceTypeRecord) (class): A device type as returned by Roboto.

- [UpdateDeviceTypeRequest](/docs/reference/python-sdk/roboto/domain/device_types/operations#roboto.domain.device_types.operations.UpdateDeviceTypeRequest) (class): Request body for `PUT /v1/device-types/id/<device_type_id>`.
